<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
	<style>
          body{
              padding: 40px;
          }
	</style>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
		integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

	<link rel="stylesheet" href="./css/fontawesome-all.min.css"/>


	<style>
          .blue{
              color: #0088cc;
          }
          .like-button:hover{
              color: #0088cc;
          }
	</style>

	<script src="https://unpkg.com/vue@3"></script>
</head>
<body>
<div id="app">
	<post></post>
</div>
	<script>
		const app = Vue.createApp({
			data() {
				return {
				}
			}
		});

		app.component('post', {
			template:
				`
				<div class="card" style="width: 18rem;">
					<div class="card-body">
						<h5 class="card-title">Post Title</h5>
						<h6 class="card-subtitle mb-2 text-muted">This is a sample post description</h6>
							<like @postLiked="onPostLiked"></like>
						<br>
						<p>Total Likes {{ totalLikes }}</p>
					</div>
				</div>
				`,
			data() {
				return {
					totalLikes: 0
				}
			},
			methods: {
				onPostLiked(value) {
					this.totalLikes += value
				}
			}
		});

		app.component('like', {
			template:
				`
				<span><i @click="likeToggle" class="like-button fa-thumbs-up" :class="[liked ? 'fa blue' : 'far']"></i>{{ liked ? 'Liked' : 'Like' }}</span>
				`,
			data () {
				return {
					liked: false
				}
			},
			methods: {
				likeToggle() {
					this.liked = !this.liked
					this.$emit('postLiked', (this.liked ? 1 : -1))
				}
			}
		})

		//declarar aqui los componentes globales

		/* PLANTILLA DEL COMPONENTE POST */
		// <div class="card" style="width: 18rem;">
		//     <div class="card-body">
		//         <h5 class="card-title">Post Title</h5>
		//         <h6 class="card-subtitle mb-2 text-muted">This is a sample post description</h6>
		//              aqui va la llamada al componente LIKE
		//         <br>Total Likes [aqui va el contador con valor 1 o valor 0]
		//     </div>
		// </div>

		/* PLANTILLA DLE COMPONENTE LIKE */
		// sin "me gusta": <span><i class="far like-button fa-thumbs-up"></i> Like</span>
		// con "me gusta": <span><i class="fa blue like-button fa-thumbs-up"></i> Liked</span>

		app.mount('#app');
	</script>
</body>
</html>